Skip to main content
POST
/
api
/
v1
/
customer
/
{chain}
/
transactions
/
filter
curl --request POST \ --url https://api-gateway.sonarx.com/api/v1/customer/{chain}/transactions/filter \ --header 'Content-Type: application/json' \ --header 'apikey: <api-key>' \ --data ' { "from_block": 81901160, "to_block": 81901165 } '
{ "offset": 0, "limit": 10, "result": [ { "block_number": 81901160, "timestamp": 1768922292, "datetime": "2026-01-20T15:18:12", "transaction_hash": "0x00dcc066aad65ae4f10c0fc4ec1fac5d3693c12c01d98a9f6a87448be9b26200", "transaction_index": 66, "version": 0, "from_address": "0xef56899ed9b6b4f3b8d0ea4eb7cec948705c8d2c", "to_address": "0x3c499c542cef5e3811e1192ce70d8cc03d5c3359", "value": 0, "usd_value": 0, "price": 0.132488, "transaction_fee": 0.02846459476200589, "usd_transaction_fee": 0.0037712172308286365, "gas_price_gwei": 631.718297388, "effective_gas_price_gwei": 631.718297388, "max_fee_per_gas_gwei": 843.150825088, "max_priority_fee_per_gas_gwei": 28.049, "gas_limit": 90878, "gas_used": 45059, "gas_used_pct": 0.4958185699509232, "cumulative_gas_used": 9299360, "transaction_type": 2, "contract_address": null, "status": true } ], "count": 1 }

Documentation Index

Fetch the complete documentation index at: https://docs.sonarx.com/llms.txt

Use this file to discover all available pages before exploring further.

Range Filter Constraint: Use either block range (from_block/to_block) OR datetime range (from_datetime/to_datetime), but not both simultaneously. These filter pairs are mutually exclusive.
Block Range Limit: Block range queries cannot exceed 100 blocks.

Authorizations

apikey
string
header
required

API key for authentication

Path Parameters

chain
enum<string>
required

The blockchain network to query

Available options:
polygon
Example:

"polygon"

Query Parameters

limit
integer
default:10

Maximum number of results (1-50)

Required range: 1 <= x <= 50
offset
integer
default:0

Number of results to skip for pagination

Required range: x >= 0

Body

application/json

Base filter request with range parameters. Validation rules: (1) Must provide either block range OR datetime range, not both and not neither. (2) When using block range, both from_block AND to_block are required. (3) When using datetime range, both from_datetime AND to_datetime are required. (4) to_block must be >= from_block. (5) to_datetime must be >= from_datetime. (6) Block range cannot exceed 100 blocks.

from_block
integer

Start block number. Required if using block range.

Required range: x >= 0
to_block
integer

End block number. Required if using block range. Must be >= from_block and within 100 blocks.

Required range: x >= 0
from_datetime
string<date-time>

Start datetime (ISO 8601, timezone required, e.g., 2024-01-15T10:30:00Z or 2024-01-15T10:30:00+00:00). Required if using datetime range.

to_datetime
string<date-time>

End datetime (ISO 8601, timezone required, e.g., 2024-01-15T10:30:00Z or 2024-01-15T10:30:00+00:00). Required if using datetime range. Must be >= from_datetime.

from_address

Sender address(es) to filter by (max 10)

to_address

Recipient address(es) to filter by (max 10)

address

Address(es) as sender or recipient (max 10)

Response

Filtered transactions

offset
integer
limit
integer
result
object[]
count
integer